<script setup lang="ts">
const gameId = ref<string>('');

const startGame = async () => {
  const {
    result: { id },
  } = await $fetch('/api/start', { method: 'POST' });

  await navigateTo({ path: '/game', query: { id } });
};

const joinGame = async () => {
  await navigateTo({ path: '/game', query: { id: gameId.value } });
};
</script>

<template>
  <div class="flex h-screen items-center justify-center">
    <div class="flex flex-col gap-8">
      <button class="rounded-lg border border-neutral-800 px-4 py-2" @click="startGame">Start new game</button>

      <hr class="w-full" />

      <div class="flex flex-col gap-2">
        <span class="text-sm text-neutral-600">...or join an existing one</span>
        <form class="flex flex-row items-center gap-2" @submit.prevent>
          <input
            id=""
            v-model="gameId"
            class="rounded-xl border border-neutral-800 px-4 py-2"
            type="text"
            name="id"
            placeholder="Game id..."
          />

          <button :disabled="gameId?.length === 0" class="disabled:opacity-40" @click="joinGame">
            <Icon size="28" name="solar:round-alt-arrow-right-outline"></Icon>
          </button>
        </form>
      </div>
    </div>
  </div>
</template>
